Bug 789301 (CVE-2012-0497)

Summary: CVE-2012-0497 OpenJDK: insufficient checking of the graphics rendering object (2D, 7112642)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: ahughes, aph, chphilli, dbhole, ddadacha, jvanek, omajid, ptisnovs, rkennke, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20120214,reported=20120204,source=oracle,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/java-1.6.0-openjdk=notaffected,rhel-6/java-1.6.0-openjdk=notaffected,rhel-4/java-1.6.0-sun=notaffected,rhel-5/java-1.6.0-sun=notaffected,rhel-6/java-1.6.0-sun=notaffected,fedora-all/java-1.6.0-openjdk=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-04-25 03:02:45 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 787142, 787143, 787144, 787145, 813689, 813690, 813691, 813692    
Bug Blocks: 786724    

Description Tomas Hoger 2012-02-10 05:41:26 EST
It was discovered that Java2D did not properly check graphics rendering objects before passing them to the native renderer.  This could lead to Java Virtual Machine (JVM) crash or Java sandbox bypass.
Comment 2 Vincent Danen 2012-02-14 18:06:51 EST
External Reference:

http://www.oracle.com/technetwork/topics/security/javacpufeb2012-366318.html
Comment 3 errata-xmlrpc 2012-02-14 18:43:31 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0135 https://rhn.redhat.com/errata/RHSA-2012-0135.html
Comment 4 Tomas Hoger 2012-02-15 03:39:11 EST
Patches were applied in following IcedTea versions:

* IcedTea6 1.8.13 (based on OpenJDK6 b18)
* IcedTea6 1.9.13 (based on OpenJDK6 b20)
* IcedTea6 1.10.6 (based on OpenJDK6 b22)
* IcedTea6 1.11.1 (based on OpenJDK6 b24)
* IcedTea 2.0.1 (based on OpenJDK7 u1 + u3 security patches)

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-February/017249.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2012-February/017233.html

Patch:
http://icedtea.classpath.org/hg/release/icedtea6-1.10/file/4e7a700d4ecc/patches/security/20120214/7112642.patch
Comment 5 errata-xmlrpc 2012-02-21 16:58:52 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0322 https://rhn.redhat.com/errata/RHSA-2012-0322.html
Comment 6 errata-xmlrpc 2012-04-24 15:36:06 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0514 https://rhn.redhat.com/errata/RHSA-2012-0514.html
Comment 7 errata-xmlrpc 2013-10-23 13:04:19 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html